<?php
require_once '/usr/local/esia/public_html/plugin/report/report.conf.php';
require_once REPORT_COMMON_BLOCK;
require_once '/usr/local/esia/public_html/plugin/egidescan/model_egidescan.php';

$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_EGIDESCAN');
$apache_plugin_path = $arr[0]['apache_path'];
$egide_path = $path.$apache_plugin_path;

include $egide_path.'/libs/egide_common.libs.php';

if($action=="generate")
{
    //code qui va générer l'HTML du bloc (attention en CRON au DOCUMENT_ROOT qui n'existe pas
	//function : getReportIncludeBlock /
	if($parameters['type']=="groupenoeud")
	{
		$nodeList = array();
		$tab_group_node = Model_esia::getAllNodeofGroup($dbconnection,$userid,$parameters['groupnodeid']);
		foreach ($tab_group_node as $node)
		{
			$nodeList[] = $node->getId();
		}
	}
	else
	{
		$nodeList = $parameters['nodeid'] ;
	}

	$treeview_ifaceslist = Model_egidescan::getIFacesList($dbconnection,$userid,'root');
	$nodeInfo = Model_egidescan::getNodesStats($dbconnection,$userid,$treeview_ifaceslist,NULL,TRUE,$nodeList);

	$toShortIdList = array();
	$toShortNodeList = array();
	foreach($nodeInfo as $node)
	{
		$toShortIdList[$node['id']] = $node['numberVulnerability'];
		$toShortNodeList[$node['id']] = $node;
	}
	arsort($toShortIdList);

	$sortedArray_index = 1;
	foreach($toShortIdList as $nodeid => $unusedvar)
	{
		$row = $toShortNodeList[$nodeid];
		$ret = array();
		if($parameters['affiche_NODE']=='on')
		{
			$ret['device'] = $row['name'];
		}
		if($parameters['affiche_TYPE']=='on')
		{
			$ret['type'] = $row['type'];
		}
		if($parameters['affiche_SCORING']=='on')
		{
			$ret['scoring'] = array('value'=>$row['averageVulnerabilityScoring'],'color'=>ESIA\Egide\getCSSClassByscore($row['averageVulnerabilityScoring']));
		}
		if($parameters['affiche_NBR_CVE']=='on')
		{
			$ret['vul_number'] = $row['numberVulnerability'];
		}
		if($parameters['affiche_MAX_SCORING']=='on')
		{
			$ret['score_max'] = array('value'=>$row['maxVulnerabilityScoring'],'color'=>ESIA\Egide\getCSSClassByscore($row['maxVulnerabilityScoring']));
		}
		$sortedArray[] = $ret;
		if( $sortedArray_index >= $parameters['nbr_node'])
		{
			break;
		}
		$sortedArray_index++;
	}
	$smarty->assign('sortedArray',$sortedArray);
	//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
}
elseif($action=="update")
{
    //Code permettant l'administration du bloc
	$parameters = $block['parameters'];
	//OBSOLETE avec la librairie EUI
	//$adm_list_group_node = ESIA\Egide\getAdmListNodes($dbconnection,$user,$parameters);
	//$smarty->assign('adm_list_group_node', $adm_list_group_node);


	if(isset($_POST['blockid'])&&!empty($_POST['blockid']))
	{
                //on traite le formulaire
		try
		{
                       //traite les données post pour le style du titre et de la description
						$block = getPostDefaultParams($block,$_POST);
						$parameters = $block['parameters'];
						$parameters['affiche_NODE']=$_POST['NODE'];
						$parameters['affiche_TYPE']=$_POST['TYPE'];
						$parameters['affiche_SCORING']=$_POST['SCORING'];
						$parameters['affiche_MAX_SCORING']=$_POST['SCORING'];
						$parameters['affiche_NBR_CVE']=$_POST['NBR_CVE'];
						$parameters['nbr_node']=$_POST['nbr_node'];
						if($parameters['type']=='groupenoeud')
						{
							$parameters['groupnodeid']=$_POST['groupnodes'];
						}
						else
						{
							$parameters['nodeid']=$_POST['nodes'];
						}
                       //traitement des variable POST
			$paramSave = json_encode($parameters);
			Model_Report::UpdtReportIncludeBlock($dbconnection,$block['id'],$block['include_block_id'],$block['include_canevas_id'],$block['include_position'],$paramSave);
                        //la variable l_success est affichée en rouge dans le smarty
			$smarty->assign('l_success',$lang['UPDATE_DASHBOARD_SUCCESS']);
			$block['option']=$parameters;
			$smarty->assign('block',$block);
		}
		catch (EsiaDbException $e)
		{
                        //la variable l_error est affichée en rouge dans le smarty
			$smarty->assign('l_error',$e->getMessage());
		}
		catch (Exception $e)
		{
			$smarty->assign('l_error',$e->getMessage());
		}
		$smarty->assign('parameters',$parameters);
       }
       //récupération des styles:
       	//recupération des styles
	assignCommonStyles($smarty,$parameters);
	//récupération des données pour l'affichage
	//on fixe le mode update
	$smarty->assign('action','update');
}


//chemin d'accès au template de votre block
$smarty->display($webplugin_path.'blocks/templates/egidescan_node.html');
?>
