<?php
/**
 * @name display_report
 * @description renvoie les informations en JSON pour l'administration
 * @author Victor Marin <v.marin@esia-sa.com>
 * @date Mars 2017
 */

//inclusion des fichiers principaux
$path = rtrim ($_SERVER['DOCUMENT_ROOT'],'/');
include_once $path.'/display_common.php';
include_once 'Model_Report.php';
if(file_exists('./lang/'.$lang_abre.'.php'))
{
	include './lang/'.$lang_abre.'.php';
}

if(!empty($_GET['type']))
{
	$type = $_GET['type'];
}

if($type == 'forms')
{
	if(!empty($_GET['action']))
	{
		$action = $_GET['action'];
		if($action=="plugin")
		{
			$groupids = NULL;
			$selectPlugin = array();
			if(!empty($_REQUEST['groupid']) && $_REQUEST['groupid']!='null')
			{
				$groupids = json_decode($_REQUEST['groupid']);
			}
			if(!empty($_REQUEST['ids']) && $_REQUEST['ids']!='null')
			{
				$selectPlugin = json_decode($_REQUEST['ids']);
				if($selectPlugin[0] == -1)
				{
					$selectPlugin=array();
				}
			}			
			$arr=array();
			if(!empty($groupids))
			{
				$plugin = Model_Report::getPluginByGroupNode($dbconnection,$groupids,$user->getId());
				foreach($plugin as $id => $elem)
				{
					$common_name = Model_esia::getCommonName($lang, $elem['name'],$elem['name']);
					$content =$common_name.' [ '.$elem['name'].' ]';
					if(in_array($elem['id'], $selectPlugin))
					{
						$arr[]= array('text'=>$content,'value'=>$elem['id'],'selected'=>true);
					}
					else
					{
						$arr[]= array('text'=>$content,'value'=>$elem['id']);
					}
				}
				
			}
			if(empty($selectPlugin))
			{
				array_unshift($arr,array('value'=>-1,'text'=>$lang['REPORT_PLUGIN_ALL_INCIDENT'],'selected'=>1));
			}
			else
			{
				array_unshift($arr,array('value'=>-1,'text'=>$lang['REPORT_PLUGIN_ALL_INCIDENT']));
			}
			echo json_encode($arr);
			exit(0);
		}
	}
}
else 
{
	echo 'bad request';
	exit(0);
}
?>